deepin 2015软件仓库里没有shadowsocks-qt5 ,可以自己编译。再将我的编译过程记录如下:
编译环境 deepin 2015.1 amd 64
编译步骤:

#1 安装编译器及必要依赖
sudo apt-get install git qt5-qmake qtbase5-dev libqrencode-dev libappindicator-dev libzbar-dev libbotan1.10-dev build-essential autoconf libtool libssl-dev gawk debhelper dh-systemd init-system-helpers pkg-config
#2 克隆shadowsocks QT库源码
git clone https://github.com/shadowsocks/libQtShadowsocks.git
#3 编译shadowsocks QT库
cd libQtShadowsocks
sudo dpkg-buildpackage -uc -us -b
#编译完成扣会在上级目录生成三个deb安装包,使用dpkg 安装。
cd ..
sudo dpkg -i libqtshadowsocks_1.8.4-1_amd64.deb shadowsocks-libqtshadowsocks_1.8.4-1_amd64.deb libqtshadowsocks-dev_1.8.4-1_amd64.deb
#4 克隆shadowsocks-qt5源码并编译安装
git clone https://github.com/shadowsocks/shadowsocks-qt5.git
cd shadowsocks-qt5
sudo dpkg-buildpackage -uc -us -b
cd ..
sudo dpkg -i shadowsocks-qt5_2.6.1-1_amd64.deb
#编译完成

发表评论

电子邮件地址不会被公开。 必填项已用*标注

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据